%define lib_name %mklibname %{name} 0

%define ver %{version}beta

Name: aqhbci-qt-tools
Summary: Aqbanking HBCI KDE configuration wizard
Version: 1.0.5
Release: 0.beta.2mdk
Source: http://download.sourceforge.net/aqhbci/%{name}-%{ver}.tar.bz2
Group: Office
License: GPL
URL: http://sourceforge.net/projects/aqhbci
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libgwenhywfar-devel >= 1.12.0
BuildRequires: aqhbci-devel >= 1.0.6
BuildRequires: qt3-devel
Obsoletes: aqhbci-wizard-kde
Provides: aqhbci-wizard-kde

%description 
This is the KDE configuration wizard for AqBanking HBCI system.

%prep
%setup -q -n %{name}-%{ver}

%build

%configure2_5x --with-qt3-libs=$QTDIR/%_lib

%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/aqbanking/plugins/*/*
%{_datadir}/%{name}

%changelog
* Wed May  4 2005 Gtz Waschk <waschk@mandriva.org> 1.0.5-0.beta.2mdk
- fix QT detection on x86_64

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.0.5-0.beta.1mdk
- bump deps
- New release 1.0.5

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.15-0.beta.1mdk 
- Release 0.9.15beta

* Tue Jan 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.13-0.beta.2mdk
- add BuildRequires: qt3-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.13-0.beta.1mdk 
- First Mandrakelinux package

